> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quoteconnectors

> Retrieve the list of all installed (i.e., loaded assemblies) Quote Connectors

## "quoteconnectors" MDO List

Retrieve the list of all installed (i.e., loaded assemblies) Quote Connectors

Implementation relies on the <see cref="T:SuperOffice.CRM.ArchiveLists.QuoteConnectorProvider" /> archivelist, and simply reformats its data

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteConnectors">QuoteConnectors</see> class.
The name of the MDO list is 'quoteconnectors'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quoteconnectors
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quoteconnectors", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "quoteconnectorsheadings"
* "quoteconnectorsheadingswithallitem"
* "quoteconnectorsheadingswithallitemwithnoselection"
* "quoteconnectorsheadingswithnoselection"
* "quoteconnectorswithallitem"
* "quoteconnectorswithallitemwithnoselection"
* "quoteconnectorswithnoselection"


## Related topics

- [QuoteConnector](/en/api/archive-providers/reference/quoteconnector.md)
- [QuoteConnectorBase implementation](/en/api/plugins/quote-connectors/api/quoteconnectorbase.md)
- [quoteconnectorextender](/en/api/plugins/quote-connectors/api/quoteconnectorextender.md)
- [SuperOffice NuGet packages](/en/api/nuget/nuget-reference.md)
- [quoteconnections](/en/api/mdo-providers/reference/quoteconnections.md)
- [Creating a quote](/en/api/plugins/quote-connectors/create-quote.md)
